---
title: normalize-space
slug: Web/XPath/Functions/normalize-space
tags:
  - XSLT
  - XSLT_Reference
---
<p>{{ XsltRef() }}</p>

<p><br>
 The <code>normalize-space</code> function strips leading and trailing white-space from a string, replaces sequences of whitespace characters by a single space, and returns the resulting string.</p>

<h3 id="Syntax">Syntax</h3>

<pre class="eval">normalize-space( [<em>string</em>] )
</pre>

<h3 id="Arguments">Arguments</h3>

<dl>
 <dt><code><em>string</em></code> (optional)</dt>
 <dd>The string to be normalized. If omitted, string used will be the same as the context node converted to a string.</dd>
</dl>

<h3 id="Returns">Returns</h3>

<p>The normalized string.</p>

<h3 id="Defined">Defined</h3>

<p><a class="external" href="http://www.w3.org/TR/xpath#function-normalize-space">XPath 1.0 4.2</a></p>

<h3 id="Gecko_support">Gecko support</h3>

<p>Supported.</p>
